This CPE summary could be partial or incomplete. Please contact us for a detailed listing.

Summary

Summuary
CPE Namecpe:/a:perl:perl:5.8.9:rc1
Detail
VendorPerlFirst view 2012-01-13
ProductPerlLast view2018-06-07
Version5.8.9TypeApplication
Edition 
Language 
Updaterc1 
 
CPE Productcpe:/a:perl:perl

Activity : Overall

Related : CVE

 DateAlertAccess VectorAccess ComplexityAuthentication
6.42018-06-07CVE-2018-12015NetworkLowNone Requ...
7.52017-09-27CVE-2017-12814NetworkLowNone Requ...
6.42017-09-19CVE-2017-12883NetworkLowNone Requ...
52017-09-19CVE-2017-12837NetworkLowNone Requ...
7.22016-08-02CVE-2016-1238LocalLowNone Requ...
Hide | Show 5 More...
 DateAlertAccess VectorAccess ComplexityAuthentication
52016-05-25CVE-2015-8853NetworkLowNone Requ...
2.12014-09-30CVE-2014-4330LocalLowNone Requ...
7.52013-01-04CVE-2012-6329NetworkLowNone Requ...
4.32012-12-21CVE-2011-2728NetworkMediumNone Requ...
5.12012-01-13CVE-2011-2939NetworkHighNone Requ...

CWE : Common Weakness Enumeration

%idName
44% (4)CWE-119Failure to Constrain Operations within the Bounds of a Memory Buffer
11% (1)CWE-264Permissions, Privileges, and Access Controls
11% (1)CWE-189Numeric Errors
11% (1)CWE-94Failure to Control Generation of Code ('Code Injection')
11% (1)CWE-22Improper Limitation of a Pathname to a Restricted Directory ('Path ...
Hide | Show 1 More...
%idName
11% (1)CWE-20Improper Input Validation

Oval Markup Language : Definitions

OvalIDName
oval:org.mitre.oval:def:22490USN-2099-1 -- perl vulnerability
oval:org.mitre.oval:def:24564Security vulnerability in Perl for AIX
oval:org.mitre.oval:def:26263SUSE-SU-2013:0441-1 -- Security update for Perl
oval:org.mitre.oval:def:26050SUSE-SU-2013:0442-1 -- Security update for Perl
oval:org.mitre.oval:def:27634DEPRECATED: ELSA-2013-0685 -- perl security update (moderate)
Hide | Show 1 More...
idName
oval:org.mitre.oval:def:28258SUSE-SU-2014:1321-1 -- Security update for perl (low)

Open Source Vulnerability Database (OSVDB)

idDescription
76724Perl Encode decode_xs() Function Input Parsing Remote Overflow
76723Perl File::Glob::bsd_glob() Function GLOB_ALTDIRFUNC Flag Handling Remote Cod...

ExploitDB Exploits

idDescription
23579TWiki MAKETEXT Remote Command Execution

OpenVAS Exploits

idDescription
2012-12-27Name : TWiki 'MAKETEXT' variable Remote Command Execution Vulnerability
File : nvt/gb_twiki_maketext_rce_vuln.nasl
2012-12-18Name : Fedora Update for perl FEDORA-2012-18330
File : nvt/gb_fedora_2012_18330_perl_fc16.nasl
2012-12-04Name : Ubuntu Update for perl USN-1643-1
File : nvt/gb_ubuntu_USN_1643_1.nasl
2012-07-09Name : RedHat Update for perl RHSA-2011:1424-01
File : nvt/gb_RHSA-2011_1424-01_perl.nasl
2012-01-20Name : Mandriva Update for perl MDVSA-2012:008 (perl)
File : nvt/gb_mandriva_MDVSA_2012_008.nasl
Hide | Show 2 More...
idDescription
2012-01-17Name : Strawberry Perl Modules Multiple Vulnerabilities (Windows)
File : nvt/gb_perl_modules_mult_vuln_win.nasl
2011-11-03Name : Fedora Update for perl FEDORA-2011-13874
File : nvt/gb_fedora_2011_13874_perl_fc14.nasl

Snort® IPS/IDS

DateDescription
2014-01-10Foswiki/Twiki MAKETEXT command execution attempt
RuleID : 26906 - Type : SERVER-OTHER - Revision : 3
2014-01-10FosWiki and TWiki MAKETEXT macro memory consumption denial of service attempt
RuleID : 26905 - Type : SERVER-WEBAPP - Revision : 5

Nessus® Vulnerability Scanner

This CPE have more than 25 Relations. If you want to see a complete summary for this CPE, please contact us.
idDescription
2019-01-03Name : The remote Fedora host is missing a security update.
File : fedora_2018-4e088b6d7c.nasl - Type : ACT_GATHER_INFO
2018-12-17Name : The remote Gentoo host is missing one or more security-related patches.
File : gentoo_GLSA-201812-07.nasl - Type : ACT_GATHER_INFO
2018-11-14Name : The remote Debian host is missing a security update.
File : debian_DLA-1578.nasl - Type : ACT_GATHER_INFO
2018-09-27Name : The remote EulerOS host is missing a security update.
File : EulerOS_SA-2018-1307.nasl - Type : ACT_GATHER_INFO
2018-09-27Name : The remote EulerOS host is missing a security update.
File : EulerOS_SA-2018-1308.nasl - Type : ACT_GATHER_INFO
Hide | Show 20 More...
idDescription
2018-09-27Name : The remote FreeBSD host is missing a security-related update.
File : freebsd_pkg_613193a0c1b411e8ae2d54e1ad3d6335.nasl - Type : ACT_GATHER_INFO
2018-08-21Name : The remote PhotonOS host is missing multiple security updates.
File : PhotonOS_PHSA-2018-2_0-0084.nasl - Type : ACT_GATHER_INFO
2018-08-17Name : The remote PhotonOS host is missing multiple security updates.
File : PhotonOS_PHSA-2017-0037.nasl - Type : ACT_GATHER_INFO
2018-06-19Name : The remote Fedora host is missing a security update.
File : fedora_2018-10ae521efa.nasl - Type : ACT_GATHER_INFO
2018-06-12Name : The remote Debian host is missing a security-related update.
File : debian_DSA-4226.nasl - Type : ACT_GATHER_INFO
2018-01-15Name : The remote Fedora host is missing a security update.
File : fedora_2017-7ae07e9f1f.nasl - Type : ACT_GATHER_INFO
2017-11-27Name : The remote openSUSE host is missing a security update.
File : openSUSE-2017-1304.nasl - Type : ACT_GATHER_INFO
2017-11-27Name : The remote SUSE host is missing one or more security updates.
File : suse_SU-2017-3092-1.nasl - Type : ACT_GATHER_INFO
2017-11-14Name : The remote Ubuntu host is missing a security-related patch.
File : ubuntu_USN-3478-1.nasl - Type : ACT_GATHER_INFO
2017-10-18Name : The remote Fedora host is missing a security update.
File : fedora_2017-2008fdd7e2.nasl - Type : ACT_GATHER_INFO
2017-10-03Name : The remote Fedora host is missing a security update.
File : fedora_2017-89492f7161.nasl - Type : ACT_GATHER_INFO
2017-09-25Name : The remote FreeBSD host is missing one or more security-related updates.
File : freebsd_pkg_d9e82328a12911e7987e4f174049b30a.nasl - Type : ACT_GATHER_INFO
2017-09-22Name : The remote Debian host is missing a security-related update.
File : debian_DSA-3982.nasl - Type : ACT_GATHER_INFO
2017-01-30Name : The remote Gentoo host is missing one or more security-related patches.
File : gentoo_GLSA-201701-75.nasl - Type : ACT_GATHER_INFO
2016-09-19Name : The remote openSUSE host is missing a security update.
File : openSUSE-2016-1086.nasl - Type : ACT_GATHER_INFO
2016-09-12Name : The remote SUSE host is missing one or more security updates.
File : suse_SU-2016-2263-1.nasl - Type : ACT_GATHER_INFO
2016-09-08Name : The remote SUSE host is missing one or more security updates.
File : suse_SU-2016-2246-1.nasl - Type : ACT_GATHER_INFO
2016-08-22Name : The remote Fedora host is missing a security update.
File : fedora_2016-6ec2009080.nasl - Type : ACT_GATHER_INFO
2016-08-09Name : The remote Fedora host is missing a security update.
File : fedora_2016-0aa251bc9b.nasl - Type : ACT_GATHER_INFO
2016-08-09Name : The remote Fedora host is missing a security update.
File : fedora_2016-dd20a4631a.nasl - Type : ACT_GATHER_INFO